import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';
import { BackendFeature } from '@backstage/backend-plugin-api';

/** @alpha */
interface FeatureDiscoveryService {
    getBackendFeatures(): Promise<{
        features: Array<BackendFeature>;
    }>;
}
/**
 * An optional service that can be used to dynamically load in additional BackendFeatures at runtime.
 * @alpha
 * @deprecated The `featureDiscoveryServiceRef` is deprecated in favor of using {@link @backstage/backend-defaults#discoveryFeatureLoader} instead.
 */
declare const featureDiscoveryServiceRef: _backstage_backend_plugin_api.ServiceRef<FeatureDiscoveryService, "root", "singleton">;

export { type FeatureDiscoveryService, featureDiscoveryServiceRef };
