'use strict';

var paths = require('./cjs/paths-D7KGMZeP.cjs.js');
var path = require('path');
require('@backstage/cli-common');
require('@backstage/errors');
require('fs');

function overridePackagePathResolution(options) {
  const name = options.packageName;
  if (paths.packagePathMocks.has(name)) {
    throw new Error(
      `Tried to override resolution for '${name}' more than once for package '${name}'`
    );
  }
  paths.packagePathMocks.set(name, (paths) => {
    const joinedPath = path.posix.join(...paths);
    const localResolver = options.paths?.[joinedPath];
    if (localResolver) {
      return typeof localResolver === "function" ? localResolver() : localResolver;
    }
    if (options.path) {
      return path.resolve(options.path, ...paths);
    }
    return void 0;
  });
  return {
    restore() {
      paths.packagePathMocks.delete(name);
    }
  };
}

exports.overridePackagePathResolution = overridePackagePathResolution;
//# sourceMappingURL=testUtils.cjs.js.map
